> # NAME

> cgD3D11IsProgramLoaded - determine if a program has been loaded

> # SYNOPSIS

>       #include <Cg/cgD3D11.h>

>       CGbool cgD3D11IsProgramLoaded( CGprogram program );

> # PARAMETERS

> program

>   The program which will be checked.

> # RETURN VALUES

> Returns CG_TRUE if program has been loaded using cgD3D11LoadProgram.

> Returns CG_FALSE otherwise.

> # DESCRIPTION

> cgD3D11IsProgramLoaded determines if a program has been loaded using cgD3D11LoadProgram.

> # EXAMPLES

>       // program is a CGprogram initialized elsewhere
>       ...
>       CGbool isLoaded = cgD3D11IsProgramLoaded(program);

> # ERRORS

> None.

> # HISTORY

> cgD3D11IsProgramLoaded was introduced in Cg 3.0.

> # SEE ALSO

> cgD3D11LoadProgram